coap_forward_decls.h File Reference

COAP forward definitions. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct coap_endpoint_t | coap_endpoint_t
| Abstraction of virtual endpoint that can be attached to coap_context_t. More...
typedef struct coap_subscription_t | coap_subscription_t
| Subscriber information. More...

## Detailed Description

COAP forward definitions.

Definition in file coap_forward_decls.h.

## Typedef Documentation

## coap_endpoint_t

typedef struct coap_endpoint_t coap_endpoint_t

Abstraction of virtual endpoint that can be attached to coap_context_t.

Definition at line 1 of file coap_forward_decls.h.

## coap_subscription_t

typedef struct coap_subscription_t coap_subscription_t

Subscriber information.

Definition at line 1 of file coap_forward_decls.h.